|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions | Variables
Control Loop Configuration
Power Control

Contains the control loop configuration and initialization functions. More...

Collaboration diagram for Control Loop Configuration:

## Files
file | smps_2p2z_dspic.s
| Contains the dcdt generated assembly code for 2p2z control type.
file | XFT_smps_2p2z_dspic.s
| Contains the dcdt generated assembly code for 2p2z control type with modified code for Adaptive Gain control.
file | dab_psio_dcdt.h
| Generated by the Microchip Digital Compensator Design Tool (DCDT), contains system summaries and digital compensator coefficients.
file | dab_pspo_dcdt.h
| Generated by the Microchip Digital Compensator Design Tool (DCDT), contains system summaries and digital compensator coefficients.
file | dab_spvo_dcdt.h
| Generated by the Microchip Digital Compensator Design Tool (DCDT), contains system summaries and digital compensator coefficients.
file | pwrctrl_dcdt.c
| Contains individual DCDT control loop initialization functions.
file | pwrctrl_dcdt.h
| Contains public functions and data types relevant for DCDT file interface.
file | smps_control.h
| Contains the DCDT generated functions and data types.

## Functions
int16_t VMC_2p2zACoefficients[2] | __attribute__ ((space(xmemory)))
| Voltage Loop A-coefficient array.
int16_t VMC_2p2zControlHistory[2] | __attribute__ ((space(ymemory), far))
| Voltage Loop Control history.
void | PwrCtrl_VComp_Initialize (void)
| Initialize the Voltage Loop Control.
void | PwrCtrl_IComp_Initialize (void)
| Initialize the Current Loop Control.
void | PwrCtrl_PComp_Initialize (void)
| Initialize the Power Loop Control.
void | PwrCtrl_ResetControlLoopHistories (void)
| Clear the control and error histories of the control loops.

## Variables
SMPS_2P2Z_T | VMC_2p2z
| Data Object of voltage mode control generated by DCDT.
SMPS_2P2Z_T | IMC_2p2z
| Data Object of current mode control.
SMPS_2P2Z_T | PMC_2p2z
| Data Object of power mode control.

## Detailed Description

This document covers the functions that initialize the control loop using DCDT tool.

## Function Documentation

## ◆ __attribute__() [1/2]

int16_t VMC_2p2zACoefficients[2] __attribute__ | ( | (space(xmemory)) |  | ) |

Power Loop B-coefficient array.

Power Loop A-coefficient array.

Current Loop B-coefficient array.

Current Loop A-coefficient array.

Voltage Loop B-coefficient array.

This array contains the A-coefficients of the z-domain compensation filter for voltage mode control.

This array contains the B-coefficients of the z-domain compensation filter for voltage mode control.

This array contains the A-coefficients of the z-domain compensation filter for current mode control.

This array contains the B-coefficients of the z-domain compensation filter for current mode control.

This array contains the A-coefficients of the z-domain compensation filter for power mode control.

This array contains the B-coefficients of the z-domain compensation filter for power mode control.

## ◆ __attribute__() [2/2]

int16_t VMC_2p2zControlHistory[2] __attribute__ | ( | (space(ymemory), far) |  | ) |

Power Loop Error history.

Power Loop Control history.

Current Loop Error history.

Current Loop Control history.

Voltage Loop Error history.

This array contains the voltage loop control output history.

This array contains the error history of the voltage loop control.

This array contains the current loop control output history.

This array contains the error history of the current loop control.

This array contains the power loop control output history.

This array contains the error history of the power loop control.

## ◆ PwrCtrl_IComp_Initialize()

void PwrCtrl_IComp_Initialize | ( | void |  | ) |

Returns
  void

This function initializes the filter coefficients of current loop from the frequencies selected in the DCDT tool. The control and error histories of the current loop is also cleared.

Definition at line 204 of file pwrctrl_dcdt.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_PComp_Initialize()

void PwrCtrl_PComp_Initialize | ( | void |  | ) |

Returns
  void

This function initializes the filter coefficients of power loop from the frequencies selected in the DCDT tool. The control and error histories of the power loop is also cleared.

Definition at line 244 of file pwrctrl_dcdt.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ PwrCtrl_ResetControlLoopHistories()

void PwrCtrl_ResetControlLoopHistories | ( | void |  | ) |

Returns
  void

This function clear the control and error histories of the control loops. it is essential to call this function during restart condition.

Definition at line 282 of file pwrctrl_dcdt.c.

Here is the caller graph for this function:

## ◆ PwrCtrl_VComp_Initialize()

void PwrCtrl_VComp_Initialize | ( | void |  | ) |

Returns
  void

This function initializes the filter coefficients of voltage loop from the frequencies selected in the DCDT tool. The control and error histories of the voltage loop is also cleared.

Definition at line 165 of file pwrctrl_dcdt.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ IMC_2p2z

SMPS_2P2Z_T IMC_2p2z

The 'IMC_2p2z' data object holds the control loop parameter of the Current loop.

Definition at line 49 of file pwrctrl_dcdt.c.

## ◆ PMC_2p2z

SMPS_2P2Z_T PMC_2p2z

The 'PMC_2p2z' data object holds the control loop parameter of the Power loop.

Definition at line 57 of file pwrctrl_dcdt.c.

## ◆ VMC_2p2z

SMPS_2P2Z_T VMC_2p2z

The 'VMC_2p2z' data object holds the control loop parameter of the Voltage loop.

Definition at line 41 of file pwrctrl_dcdt.c.